/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { PointingCorrection } from './pointing-correction';

/**
 * ScanDefinition represents the instrument configuration for a single scan.  :param scan_definition_id: the unique ID for this scan definition :param scan_duration_ms: scan duration :target_ref: ID of target to observe :mccs_allocation_ref: ID of MCCS Config :target_beam_configuration_refs: SKA LOW sub-array beam configurations to apply during this scan. :dish_allocation_ref: SKA MID dish configuration ID during this scan. :scan_type_ref: SKA MID scan type ID :csp_configuration_ref: SKA MID  Central Signal Processor ID :pointing_correction: operation to apply to the pointing correction model.
 * @export
 * @interface ScanDefinition
 */
export interface ScanDefinition {
    /**
     * 
     * @type {string}
     * @memberof ScanDefinition
     */
    'scan_definition_id'?: string;
    /**
     * 
     * @type {number}
     * @memberof ScanDefinition
     */
    'scan_duration_ms': number;
    /**
     * 
     * @type {string}
     * @memberof ScanDefinition
     */
    'target_ref'?: string;
    /**
     * 
     * @type {string}
     * @memberof ScanDefinition
     */
    'mccs_allocation_ref'?: string;
    /**
     * 
     * @type {string}
     * @memberof ScanDefinition
     */
    'dish_allocation_ref'?: string;
    /**
     * 
     * @type {string}
     * @memberof ScanDefinition
     */
    'scan_type_ref'?: string;
    /**
     * 
     * @type {string}
     * @memberof ScanDefinition
     */
    'csp_configuration_ref'?: string;
    /**
     * 
     * @type {string}
     * @memberof ScanDefinition
     */
    'scan_intent'?: string;
    /**
     * 
     * @type {PointingCorrection}
     * @memberof ScanDefinition
     */
    'pointing_correction'?: PointingCorrection;
}



